Bug 979798 - current nss support TLS 1.1 so mod_nss should pick it up
current nss support TLS 1.1 so mod_nss should pick it up
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mod_nss (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Harmsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 979718
  Show dependency treegraph
 
Reported: 2013-06-30 13:55 EDT by David Jaša
Modified: 2014-05-12 09:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 979799 (view as bug list)
Environment:
Last Closed: 2014-05-12 09:57:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-06-30 13:55:54 EDT
Description of problem:
nss >= 3.14 supports TLS 1.1 so mod_tls should support it automatically

Version-Release number of selected component (if applicable):
mod_nss-1.0.8-20.1.fc19.armv7hl
nss-3.14.3-13.0.fc19.armv7hl

How reproducible:
always

Steps to Reproduce:
1. specify NSSProtocol TLSv1.1 in /etc/apache/conf.d/nss.conf
2. connect to the server with client that supports just TLS >= 1.1
3.

Actual results:
connection fails

Expected results:
connection is established

Additional info:
TLSv1.2 should be picked up automatically once nss supports it, too
Comment 1 Fedora End Of Life 2013-09-16 10:19:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Matthew Harmsen 2013-10-23 17:18:38 EDT
This bug has been addressed by the patch called 'mod_nss-tlsv1_1.patch'.
Comment 3 Fedora Update System 2013-10-24 17:13:47 EDT
mod_nss-1.0.8-24.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mod_nss-1.0.8-24.fc18
Comment 4 Fedora Update System 2013-10-24 17:25:16 EDT
mod_nss-1.0.8-24.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mod_nss-1.0.8-24.fc19
Comment 5 Fedora Update System 2013-10-24 17:39:25 EDT
mod_nss-1.0.8-24.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mod_nss-1.0.8-24.fc20
Comment 6 Fedora Update System 2013-11-06 02:35:11 EST
mod_nss-1.0.8-24.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-11-06 02:37:28 EST
mod_nss-1.0.8-24.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-10 02:18:06 EST
mod_nss-1.0.8-24.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.